Jump to content


Photo

[FAQ]GT540 Reference Thread !

* * * * * 11 votes

  • Please log in to reply
184 replies to this topic

#81
00Tarek00

00Tarek00

    Newbie

  • Members
  • Pip
  • 6 posts
@ iloveLG :

I'm From Arabian country , and i want to buy LG GT540 online , so please tell me does the international version has Arabic language support ??

and how do i know the international version from other versions ?? is there a code or something for the phone ??

and also is there any new Arabic roms for android ver 2.2 ?

thanks in advance ........

  • 0

#82
ilovelg

ilovelg

    Enthusiast

  • Members
  • PipPipPip
  • 264 posts
  • Location:Lithuania
  • Devices:LG GT540

@ iloveLG :

I'm From Arabian country , and i want to buy LG GT540 online , so please tell me does the international version has Arabic language support ??

and how do i know the international version from other versions ?? is there a code or something for the phone ??

and also is there any new Arabic roms for android ver 2.2 ?

thanks in advance ........


Internation version propably wont support Arabic language ( tho im not sure ) Phone will come with 1.6 Donut, a ROM with Arabic language support up from 1.6 dosnt exist ( we are talking about 2.1, couse GT540 dont support FroYo 2.2 ) Tho theres an Arabic Language support for 1.6 Donut version of Android, but if u will update to 2.1, theres no turning back :)

Edited by ilovelg, 20 December 2010 - 09:18 PM.

  • 0
Using: CyanogenMod7 (2.3.5) @ GT540 Swiftdroid2 RC3 by Mur4ik.

#83
Simonsimon1234

Simonsimon1234

    Newbie

  • Members
  • Pip
  • 6 posts
  • Devices:GT540GO
Alright, so I've finally decided to give this a go since I got sick and tired of LG not getting the 2.1 update out here in the Netherlands. I have a couple of questions though before I completely brick my phone (I'm a bit scared okay ;) ).

1. My phone is a gt540go, in other words it's got a SIMlock, in this case from Vodafone. Does this matter at all? Will I be able to connect to their network and call etc. normally or will I have to do something specific to get it working again?

2. Which ROM should I pick in order to get Dutch translations? Keep in mind that my phone is a vodafone gt540go. Seriously, why are there so many different, specific roms!

3. LG Suite = the same as LGMobile updater?

When I get the answers to these questions I believe I'm good to go ! :)

  • 0

#84
ilovelg

ilovelg

    Enthusiast

  • Members
  • PipPipPip
  • 264 posts
  • Location:Lithuania
  • Devices:LG GT540

1. My phone is a gt540go, in other words it's got a SIMlock, in this case from Vodafone. Does this matter at all? Will I be able to connect to their network and call etc. normally or will I have to do something specific to get it working again?

You wont have any problems, tho i would suggest instaling UK Vodafone ROM in this case.

2. Which ROM should I pick in order to get Dutch translations? Keep in mind that my phone is a vodafone gt540go. Seriously, why are there so many different, specific roms!

The phone is called different in some of the countries GT540 have these names: LG Optimus GT540, LG Swift GT540, LG GT540, LG GT540 GO and so on.... :) Im Pretty sure Open Europe ROM have Dutch language.

3. LG Suite = the same as LGMobile updater?

PC Suite - Sync Application.
LGMobile updaters = Soft Updater ;)

Tho to update phone PC Suite will launch Mobile Updater anyway ... so ... btw if u dont have soft update in your region u wont be able to do it though official updater. It is possbile only thgrough KDZ Updater.

Edited by ilovelg, 20 December 2010 - 10:03 PM.

  • 0
Using: CyanogenMod7 (2.3.5) @ GT540 Swiftdroid2 RC3 by Mur4ik.

#85
00Tarek00

00Tarek00

    Newbie

  • Members
  • Pip
  • 6 posts

Internation version propably wont support Arabic language ( tho im not sure ) Phone will come with 1.6 Donut, a ROM with Arabic language support up from 1.6 dosnt exist ( we are talking about 2.1, couse GT540 dont support FroYo 2.2 ) Tho theres an Arabic Language support for 1.6 Donut version of Android, but if u will update to 2.1, theres no turning back :)


Thank u man ;)

so u say now there is an Arabic support rom for 1.6 donut ? as this is the only way to install Arabic on GT540 :-(

could u please put it's link & method to install ( as i might buy this phone online depending ONLY on your Arabic rom )

and by the way how could i know that a certain phone contains Arabic support or not ? how can i find ?

Edited by 00Tarek00, 20 December 2010 - 11:08 PM.

  • 0

#86
ilovelg

ilovelg

    Enthusiast

  • Members
  • PipPipPip
  • 264 posts
  • Location:Lithuania
  • Devices:LG GT540

Thank u man :)

so u say now there is an Arabic support rom for 1.6 donut ? as this is the only way to install Arabic on GT540 :-(

could u please put it's link & method to install ( as i might buy this phone online depending ONLY on your Arabic rom )

and by the way how could i know that a certain phone contains Arabic support or not ? how can i find ?


For Arabic 1.6 ROM contact people that are here http://android.modac...pdates-from-lg/

Guide how to install it is in the first page of this thread. Its the same as updating to 2.1.

And i have not a slight idea how to know what languages phone have which was buyed from Internet. ;) Basicly if you would buy a phone in Arabic region it should contain Arabic language.

  • 0
Using: CyanogenMod7 (2.3.5) @ GT540 Swiftdroid2 RC3 by Mur4ik.

#87
Simonsimon1234

Simonsimon1234

    Newbie

  • Members
  • Pip
  • 6 posts
  • Devices:GT540GO

You wont have any problems, tho i would suggest instaling UK Vodafone ROM in this case.

The phone is called different in some of the countries GT540 have these names: LG Optimus GT540, LG Swift GT540, LG GT540, LG GT540 GO and so on.... :D Im Pretty sure Open Europe ROM have Dutch language.

PC Suite - Sync Application.
LGMobile updaters = Soft Updater ;)

Tho to update phone PC Suite will launch Mobile Updater anyway ... so ... btw if u dont have soft update in your region u wont be able to do it though official updater. It is possbile only thgrough KDZ Updater.


Ok then, thanks a lot! I've downloaded all the stuff I needed so I should be good to go. Will try it out in a couple of hours and give you feedback if you made my phone...explode. I don't need the USB drivers right (I believe I needed to install these when LGMobile updater booted up for the first time)..?

We do have a Dutch version of the LGMobile updater but it's telling me my version is 10B or something right now, which is why I started googling and ended up here in the first place :)

EDIT: Seems to have worked just fine. 2.1 is running nice and smoothly. Haven't tried everything yet but at least calling and texting works. Thanks LG Lover ;)

Edited by Simonsimon1234, 21 December 2010 - 03:59 AM.

  • 0

#88
Dr.Alani

Dr.Alani

    Regular

  • Members
  • PipPip
  • 112 posts
  • Devices:LG-GT540
ILoveLG,
Thanks alot. I have uninstalled all the software, cleaned the registry, and re-installed it all. Then, I downloaded the V20A update and flashed it. It worked like a charm. I don't know if the problem was with the V10C that I was trying to install earlier, or just the drivers.
I need to make a point here, the reason I wanted the update so badly is that the Middle East version of the Android lacks alot of the good stuff. Can you imagine an android phone without the "Market" application?? YES. Middle East 1.6 GT540 does not have the market. So, I had to do the backup.
If I figure out how to embed arabic language into it, I'll post it in a few days.
Thanks again my friend.

  • 0
Optimus One LG P500 (and loving it)
Twitter: @mohammedmalani
Website: http://www.mohammedalani.com

#89
00Tarek00

00Tarek00

    Newbie

  • Members
  • Pip
  • 6 posts

ILoveLG,
Thanks alot. I have uninstalled all the software, cleaned the registry, and re-installed it all. Then, I downloaded the V20A update and flashed it. It worked like a charm. I don't know if the problem was with the V10C that I was trying to install earlier, or just the drivers.
I need to make a point here, the reason I wanted the update so badly is that the Middle East version of the Android lacks alot of the good stuff. Can you imagine an android phone without the "Market" application?? YES. Middle East 1.6 GT540 does not have the market. So, I had to do the backup.
If I figure out how to embed arabic language into it, I'll post it in a few days.
Thanks again my friend.


good work mate .... and i'll be waiting for your additions ISA.

shed 7elak

  • 0

#90
Simonsimon1234

Simonsimon1234

    Newbie

  • Members
  • Pip
  • 6 posts
  • Devices:GT540GO
Crap. Everything seemed fine until I started with the app2sd stuff. I think it worked but my phone is sooooo slooooooow now. Playing a game like abduction works fine, but menu's and such in general are sometimes slow. Also: Everytime my phone boots the proces "system" crashes. It doesn't ask for my pincode anymore either and it takes a really long while before it's connected to 3G..What's up with that? If this keeps up I'll revert everything back to 2.1 without app2sd :)

  • 0

#91
ilovelg

ilovelg

    Enthusiast

  • Members
  • PipPipPip
  • 264 posts
  • Location:Lithuania
  • Devices:LG GT540

Crap. Everything seemed fine until I started with the app2sd stuff. I think it worked but my phone is sooooo slooooooow now. Playing a game like abduction works fine, but menu's and such in general are sometimes slow. Also: Everytime my phone boots the proces "system" crashes. It doesn't ask for my pincode anymore either and it takes a really long while before it's connected to 3G..What's up with that? If this keeps up I'll revert everything back to 2.1 without app2sd :)


I dont use apps2sd neither. I dont prefer a hacky way around... Ill just wait for 2.2 ROM and enjoy it.

  • 0
Using: CyanogenMod7 (2.3.5) @ GT540 Swiftdroid2 RC3 by Mur4ik.

#92
djony89

djony89

    Newbie

  • Members
  • Pip
  • 2 posts
ok so i registed only for this question because i feel its nice site for it.
so i am using windows 7 ultimate os...i bought lg gt5400 optimus a few days ago ....and there is no chancee to connect him to PC . that includes upgrade and everything music and everything....windows just cant read usb....

  • 0

#93
ilovelg

ilovelg

    Enthusiast

  • Members
  • PipPipPip
  • 264 posts
  • Location:Lithuania
  • Devices:LG GT540

ok so i registed only for this question because i feel its nice site for it.
so i am using windows 7 ultimate os...i bought lg gt5400 optimus a few days ago ....and there is no chancee to connect him to PC . that includes upgrade and everything music and everything....windows just cant read usb....

Well have you read the first post ? You kinda need to install drivers first with phone pluged out. Also its LG GT540, not GT5400.

  • 0
Using: CyanogenMod7 (2.3.5) @ GT540 Swiftdroid2 RC3 by Mur4ik.

#94
djony89

djony89

    Newbie

  • Members
  • Pip
  • 2 posts
i installed everything....and always same problem

  • 0

#95
ilovelg

ilovelg

    Enthusiast

  • Members
  • PipPipPip
  • 264 posts
  • Location:Lithuania
  • Devices:LG GT540

i installed everything....and always same problem


Try to restart Phone or Windows.

  • 0
Using: CyanogenMod7 (2.3.5) @ GT540 Swiftdroid2 RC3 by Mur4ik.

#96
Dr.Alani

Dr.Alani

    Regular

  • Members
  • PipPip
  • 112 posts
  • Devices:LG-GT540
Regarding the arabic support. I decided to use a temporary solution until we have an official arabic ROM for 2.1 androids.
I installed the following apps from the market:
1.Mirsal (Arabic SMS read and write)
2.Ibrahim Keyboard (to write arabic in webpages like facebook and other pages)
With these two apps, you can read and write arabic. The only problem is that the letters will look disconnected in webpages and contacts only (they look connected in SMS).

  • 0
Optimus One LG P500 (and loving it)
Twitter: @mohammedmalani
Website: http://www.mohammedalani.com

#97
lgsmfs2

lgsmfs2

    Newbie

  • Members
  • Pip
  • 5 posts
Hi,

That worked for me!! I use a GT540 in India and upgraded to the V20C_00.kdz India ROM :D ... upgrade went without a hitch and the phones working fine, except that the wifi doesn't switch over [from gprs] as quickly as it was earlier when a wifi network was available.. but i can live with that ;) and the email signature is annoying with two sets of ------------ 's ;) [1.6 had a single line ----- and i dint like it, and now 2.1 has two of 'em :) ]

But what i wanted to know is if i can use other ROM's in the 2.1 series... I would like to flash my phone with the other rom's and see the differences :D
Would this be possible ? [since i have heard you cannot go back to 1.6] but is it possible to switch between different rom's in the 2.1 series ?




figured out why the wifi turns off / doesnt switch over - there is an advanced option for wireless and it was set to "sleep when screen turns off" and i changed it to "never" and :(

Edited by lgsmfs2, 22 December 2010 - 05:07 AM.

  • 0

#98
ilovelg

ilovelg

    Enthusiast

  • Members
  • PipPipPip
  • 264 posts
  • Location:Lithuania
  • Devices:LG GT540

Hi,

That worked for me!! I use a GT540 in India and upgraded to the V20C_00.kdz India ROM :( ... upgrade went without a hitch and the phones working fine, except that the wifi doesn't switch over [from gprs] as quickly as it was earlier when a wifi network was available.. but i can live with that :( and the email signature is annoying with two sets of ------------ 's ;) [1.6 had a single line ----- and i dint like it, and now 2.1 has two of 'em :) ]

But what i wanted to know is if i can use other ROM's in the 2.1 series... I would like to flash my phone with the other rom's and see the differences ;)
Would this be possible ? [since i have heard you cannot go back to 1.6] but is it possible to switch between different rom's in the 2.1 series ?
figured out why the wifi turns off / doesnt switch over - there is an advanced option for wireless and it was set to "sleep when screen turns off" and i changed it to "never" and :D


Yes you can reflash to any 2.1 ROM whenever you want, USER data( apps, contacts, messeges ) wont be wiped, but after every flash it is preferable that you would do a factory reset. :D Just for system to work better.

And yes, u cant go back to 1.6 nomore.

Edited by ilovelg, 22 December 2010 - 12:36 PM.

  • 0
Using: CyanogenMod7 (2.3.5) @ GT540 Swiftdroid2 RC3 by Mur4ik.

#99
Copro

Copro

    Newbie

  • Members
  • Pip
  • 2 posts
  • Devices:LG GT540
Perfect Thread - followed everything except step 3 and 4 :-)
Apps2SD I currently do not need and since I didn't brick anything I also skipped also step4. Really good summary in this article !

  • 0

#100
lgsmfs2

lgsmfs2

    Newbie

  • Members
  • Pip
  • 5 posts

Yes you can reflash to any 2.1 ROM whenever you want, USER data( apps, contacts, messeges ) wont be wiped, but after every flash it is preferable that you would do a factory reset. ;) Just for system to work better.

And yes, u cant go back to 1.6 nomore.



aah.. perfect :D now let me try the other rom's :)
i <3 gt540

  • 0




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users